<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

//kategorije koje se ne brišu:
$data_kategorije=explode(",",$parametar_dontdel_kategorija);

//ucitaj kategorije
$sql99="
SELECT 
id_kategorija,
naslov ,
opis,
user,
datum,
pozicija
FROM
b7_kategorija
WHERE 
id_rubrika='$id_rub' 
ORDER BY pozicija ASC
";
$rez99=mysql_query($sql99,$conn);
$num99=mysql_num_rows($rez99);
$display='';
if ($num99>0) {
	$cur99=1;
	$display.=''."\n";
	$display.='<tr>'."\n";
	$display.='<th>ID</th>'."\n";
	$display.='<th>Pozicija</th>'."\n";
	$display.='<th>Naslov</th>'."\n";
	$display.='<th>Kreacija liste</th>'."\n";
	$display.='<th colspan="2">Akcija</th>'."\n";
	$display.='</tr>'."\n";
	while ($num99>=$cur99) {
		$row99=mysql_fetch_array($rez99);
		$display.='<tr>'."\n";
		$display.='<td>'.$row99['id_kategorija'].'</td>'."\n";		
		
		//pozicija
		if ($num99>1) {
			if ($cur99==1) {
				//prva strelica	
				$display.='<td align="center"><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_kategoriju_dolje&amp;id_rub='.$id_rub.'&amp;id_kat='.$row99['id_kategorija'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri kategoriju dolje za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_down.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";
			} else if ($cur99==$num99) {
				//zadnja strelica
				$display.='<td align="center"><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_kategoriju_gore&amp;id_rub='.$id_rub.'&amp;id_kat='.$row99['id_kategorija'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri kategoriju gore za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_up.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";
			} else {
				// dvije strelice
				$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_kategoriju_dolje&amp;id_rub='.$id_rub.'&amp;id_kat='.$row99['id_kategorija'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri kategoriju dolje za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_down.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a>'."\n";
				$display.='&nbsp;&nbsp;&nbsp;';
				$display.='<a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_kategoriju_gore&amp;id_rub='.$id_rub.'&amp;id_kat='.$row99['id_kategorija'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri kategoriju gore za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_up.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";							
			}						
		} else {
			$display.='<td>&nbsp;</td>'."\n";
		}
		
		//naslov kategorije
		$display.='<td>'.$row99['naslov'].'</td>'."\n";
		if ($row99['opis']=='#MENU') {
			$display.='<td>da</td>'."\n";
		} else {
			$display.='<td>'.$row99['opis'].'</td>'."\n";
		}

		
		
			
		
		//parametri
		$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=form_edit_kategoriju&amp;id_rub='.$id_rub.'&amp;id_kat='.$row99['id_kategorija'].'" onMouseover="ddrivetip(\'Promjenite parametre za kategoriju (naslov, opis)\', 200)"; onMouseout="hideddrivetip()"><em>Parametri</em></a></td>'."\n";
		//brisanje
		$obrisi=1;					
		foreach($data_kategorije as $item) 
		{
			if ($item==$row99['id_kategorija']) $obrisi=0;
		}
		if ($obrisi==1) 
		{
		$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=delete_kategorija&amp;id_rub='.$id_rub.'&amp;id_kat='.$row99['id_kategorija'].'" onMouseover="ddrivetip(\'Obrišite ovu kategoriju iz baze\', 200)"; onMouseout="hideddrivetip()" onclick="return verify()"><span class="delete"><em>Obriši</em></span></a></td>'."\n";
		} else {
			$display.='<td>&nbsp;</td>'."\n";
		}
		
		
		$display.='</tr>'."\n";
		$cur99++;
	}
} else {
	$display.='<br /><br /><b>Trenutno nema niti jedne kategorije!</b>';
}
	
	
	
?>
<script type="text/javascript">
$(document).ready(function(){
//JQuery ready is quicker than onload
$(".stripeMe tr").mouseover(function() {$(this).addClass("over");}).mouseout(function() {$(this).removeClass("over");});
$(".stripeMe tr:even").addClass("alt");
});
</script>
<div id="main_content">

<h1>Lista kategorija u <em><?php echo $rubrika_naslov; ?></em></h1>
<br />
<a class="gray_normal" href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_stranice_list&amp;id_rub=<?php echo $id_rub;?>">Povratak na listu stranica u <em><?php echo $rubrika_naslov; ?></em></a>
<br /><br /><br />
<?php
if ($prava_kategorija_dodaj=='1') {
	?>
	<a class="gray_normal" href="glavna.php?modul=<?php echo $modul;?>&amp;id_rub=<?php echo $id_rub;?>&amp;akcija=form_insert_kategorija">Unos nove kategorije za <?php echo $rubrika_naslov ?></a>
    <?php
	}
?>
<br /><br />
<table class="stripeMe" cellpadding="5" cellspacing="1" border="0">
<?php
echo $display;
?>
</table>    
    
</div>